compact3
javax.management.openmbean

## Class KeyAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - javax.management.openmbean.KeyAlreadyExistsException

- All Implemented Interfaces:
    Serializable

      public class KeyAlreadyExistsException
      extends IllegalArgumentException

  This runtime exception is thrown to indicate that the index of a row to be added to a tabular data instance is already used to refer to another row in this tabular data instance.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyAlreadyExistsException()` A KeyAlreadyExistsException with no detail message.
    `KeyAlreadyExistsException(String msg)` A KeyAlreadyExistsException with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException()

      A KeyAlreadyExistsException with no detail message.

    - #### KeyAlreadyExistsException

          public KeyAlreadyExistsException(String msg)

      A KeyAlreadyExistsException with a detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.